Page MenuHomePhabricator

Puppet fails on Beta Cluster because "did not find a value for the name 'profile::envoy::ensure'"
Closed, ResolvedPublic

Description

jforrester@deployment-mediawiki-parsoid10:~$ sudo puppet agent --test --noop
Info: Using configured environment 'production'
Info: Retrieving pluginfacts
Info: Retrieving plugin
Info: Loading facts
Error: Could not retrieve catalog from remote server: Error 500 on SERVER: Server Error: Evaluation Error: Error while evaluating a Resource Statement, Function lookup() did not find a value for the name 'profile::envoy::ensure' (file: /etc/puppet/modules/profile/manifests/envoy.pp, line: 5) on node deployment-mediawiki-parsoid10.deployment-prep.eqiad.wmflabs
Warning: Not using cache on failed catalog
Error: Could not retrieve catalog; skipping run

Event Timeline

did you try setting profile::envoy::ensure: absent in hiera data for the instance? some stuff may need it to be present but I'm not sure what we use envoy for right now

Jdforrester-WMF closed this task as Resolved.Mar 7 2020, 1:28 AM
Jdforrester-WMF claimed this task.

did you try setting profile::envoy::ensure: absent in hiera data for the instance? some stuff may need it to be present but I'm not sure what we use envoy for right now

Done, that worked.

Jdforrester-WMF reopened this task as Open.Mar 7 2020, 1:28 AM

Actually, we'll need to set this on all the Beta Cluster boxes.

Change 579070 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[operations/puppet@production] Ensure puppet works on beta cluster by allowing envoy to be absent

https://gerrit.wikimedia.org/r/579070

Change 579070 merged by Dzahn:
[operations/puppet@production] Ensure puppet works on beta cluster by allowing envoy to be absent

https://gerrit.wikimedia.org/r/579070

cscott added a subscriber: cscott.Mar 12 2020, 12:03 AM

I'm still fuzzy on how Horizon interacts with puppet git. Do you want to back out the changes made via horizon before we close this bug?

Jdforrester-WMF closed this task as Resolved.Mar 12 2020, 12:53 AM

I'm still fuzzy on how Horizon interacts with puppet git. Do you want to back out the changes made via horizon before we close this bug?

I believe that it's fine.

Dzahn added a comment.Apr 29 2020, 9:10 AM

I'm still fuzzy on how Horizon interacts with puppet git. Do you want to back out the changes made via horizon before we close this bug?

Yea, nowadays if you make Hiera edits in Horizon it does automatic commits somehow. But i think it's cleaner to remove them after adding them with a regular Gerrit change in the repo. So yes, please remove from Horizon UI what has been added in the repo.